package lingtao.net.dao;

import java.util.List;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import lingtao.net.bean.Finance;

@Mapper
public interface Finance3Mapper {

	List<Finance> getFinance(Finance finance);
	List<Finance> getFinance4(Finance finance);
	List<Finance> getFinance5(Finance finance);

	void insertForeach(List<Finance> list);
	void insertForeach4(List<Finance> list);
	void insertForeach5(List<Finance> list);

	// 查询数据是否存在，避免重复上传
	String checkAccountNumber(@Param("orderNumber") String orderNumber);
	String checkAccountNumber4(@Param("orderNumber") String orderNumber);
	String checkAccountNumber5(@Param("orderNumber") String orderNumber);

	List<String> getAllFilename(@Param("creator") String creator);
	List<String> getAllFilename4(@Param("creator") String creator);
	List<String> getAllFilename5(@Param("creator") String creator);

	@Delete("delete from tbl_sys_finance3 where filename = #{filename} and creator = #{realname}")
	void deleteDataByFilename(@Param("filename") String filename, @Param("realname") String realname);
	@Delete("delete from tbl_sys_finance4 where filename = #{filename} and creator = #{realname}")
	void deleteDataByFilename4(@Param("filename") String filename, @Param("realname") String realname);
	@Delete("delete from tbl_sys_finance5 where filename = #{filename} and creator = #{realname}")
	void deleteDataByFilename5(@Param("filename") String filename, @Param("realname") String realname);

	List<Finance> getFinance6(Finance finance);
	void insertForeach6(List<Finance> list);
	String checkAccountNumber6(@Param("orderNumber") String orderNumber);
	List<String> getAllFilename6(@Param("creator") String creator);
	@Delete("delete from tbl_sys_finance6 where filename = #{filename} and creator = #{realname}")
	void deleteDataByFilename6(@Param("filename") String filename, @Param("realname") String realname);
	
	List<Finance> getFinance7(Finance finance);
	void insertForeach7(List<Finance> list);
	String checkAccountNumber7(@Param("orderNumber") String orderNumber);
	List<String> getAllFilename7(@Param("creator") String creator);
	@Delete("delete from tbl_sys_finance7 where filename = #{filename} and creator = #{realname}")
	void deleteDataByFilename7(@Param("filename") String filename, @Param("realname") String realname);
	
}
